input[type="text"].ui, input[type="password"].ui, input[type="email"].ui,
input[type="tel"].ui, textarea.ui, select.ui, label.ui,
.btn, .btn-o, .btn span, .btn-o span, .btn-r, .btn-r span {
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

input[type="text"].ui, input[type="password"].ui, input[type="email"].ui,
input[type="tel"].ui, textarea.ui {
    display: block;
    width: 100%;
    height: 40px;
    line-height: 40px;
    padding: 0 8px;
    outline: none;
    font-size: 16px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    color: #2e2e2e;
    background: #fafafa;
    border: 1px solid #fafafa;

    /* border-bottom: 1px solid #d0d0d0; */
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}
textarea.ui {
    padding: 8px 4px;
    min-height: 96px;
    font-size: 15px;
    line-height: 18px;
    resize: none;
}

input[type="text"].ui::-webkit-input-placeholder, input[type="password"].ui::-webkit-input-placeholder,
input[type="email"].ui::-webkit-input-placeholder, input[type="tel"].ui::-webkit-input-placeholder,
textarea.ui::-webkit-input-placeholder {
    opacity: 0;
    transition: inherit;
}
/*
.input::-webkit-input-placeholder, .textarea::-webkit-input-placeholder {
    opacity: 0;
    transition: inherit;
} */

input[type="text"].ui + label, input[type="password"].ui + label, input[type="email"].ui + label,
input[type="tel"].ui + label, textarea.ui + label {
    color: #5e5e5e;
    cursor: text;
    font-size: 16px;
    position: absolute;
    left: 4px;
    top: 9px;
}
/* .textarea.ui + label {
    top: 9px;
} */
input[type="text"].ui + label sup, input[type="password"].ui + label sup, input[type="email"].ui + label sup,
input[type="tel"].ui + label sup, textarea.ui + label sup {
    color: #c64242;
}
.input:not(:placeholder-shown) + label, .input:focus + label,
.textarea:not(:placeholder-shown) + label, .textarea:focus + label {
    top: -14px;
    opacity: 0.8;
    font-size: 12px;
}
.input:not(:placeholder-shown), .textarea:not(:placeholder-shown) {
    border-bottom: 1px solid #4e4e4e;
}

/* input[type="text"].ui:hover, input[type="password"].ui:hover, input[type="email"].ui:hover, input[type="tel"].ui:hover,
select.ui:hover, textarea.ui:hover, .custom-file-upload.ui:hover {
    border-bottom: 1px solid #4e4e4e;
} */
input[type="text"].ui:focus, input[type="password"].ui:focus, input[type="email"].ui:focus, input[type="tel"].ui:focus,
select.ui:focus, textarea.ui:focus, .custom-file-upload.ui:focus {
    background: #ffffff;
    border: 1px solid #ffffff;
}

label.ui {
    display: block;
    font-size: 14px;
    color: #fff;
}

/* select, .custom-file-upload {
    display: inline-block;
    width: 100%;
    height: 40px;
    outline: none;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    color: #555555;
    font-size: 16px;
    line-height: 40px;
    padding: 0 12px;
    border: 1px solid #d0d0d0;
    background: #fff;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
} */
/* label {
    color: #555555;
}
.label {
    display: block;
    width: 100%;
    color: #555555;
    font-size: 16px;
    line-height: 44px;
    border-bottom: 1px solid #d0d0d0;
} */

/* textarea {
    font-size: 15px;
    line-height: 16px;
    min-height: 120px;
    line-height: 20px;
    padding: 8px;
    resize: none;
} */
/* input[type="file"] {
    display: none;
}
.custom-file-upload {
    vertical-align: top;
    display: inline-block;
    width: auto;
    cursor: pointer;
} */
.textarea-content {
    min-height: 480px;
}
.textarea-advanced {
    min-height: 240px;
    resize:vertical;
}
.btn, .btn-o {
    cursor: pointer;
    display: inline-block;
    height: 42px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 42px;
    text-align: center;
    text-decoration: none;
    text-shadow: none;
    white-space: nowrap;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

/* .btn {
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
}
.btn:hover {
    text-shadow: 0 -1px 1px rgba(0, 0, 0, 0.2);
} */
.btn {
    background: #df843b;
    border: 1px solid #df843b;
    color: #fff;
}
.btn:hover {
    background: #3e3e3e;
    border: 1px solid #3e3e3e;
    color: #fff;
}



/* .btn-o {
    background: none;
    color: #ff8a00;
}
.btn-o:hover {
    color: #4e4e4e;
}
.btn-o span {
    display: inline-block;
    text-align: center;
}
.btn-o span:nth-of-type(1) {
    border: 1px solid #ff8a00;
    padding: 0 16px;
}
.btn-o span:nth-of-type(2) {
    width: 42px;
    border: 1px solid #ff8a00;
    border-left: none !important;
}
.btn-o:hover span:nth-of-type(1) {
    border: 1px solid #4e4e4e;
}
.btn-o:hover span:nth-of-type(2) {
    border: 1px solid #4e4e4e;
}
.btn-o.dark {
    background: none;
    border: 1px solid #4e4e4e;
    color: #4e4e4e;
}
.btn-o.dark:hover  {
    background: #4e4e4e;
    border: 1px solid #4e4e4e;
    color: #fff;
} */



.btn-r {
    cursor: pointer;
    color: #fff;
    display: inline-block;
    height: 42px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 42px;
    text-align: center;
    text-decoration: none;
    text-shadow: none;
    white-space: nowrap;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    overflow: hidden;
}
.btn-r span {
    display: inline-block;
    text-align: center;
}
.btn-r span:nth-of-type(1) {
    padding: 0 1.25em;
    background: #df843b;
}
.btn-r span:nth-of-type(2) {
    width: 42px;
    background: #df843b;
    margin-left: 1px;
}
.btn-r:hover span:nth-of-type(1) {
    background: #dc7d34;
}
.btn-r:hover span:nth-of-type(2) {
    background: #dc7d34;
}



.btn-l-o {
    cursor: pointer;
    color: #fff;
    display: inline-block;
    height: 42px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 35px;
    text-align: center;
    text-decoration: none;
    text-shadow: none;
    white-space: nowrap;
    overflow: hidden;
}
.btn-l-o span {
    display: inline-block;
    text-align: center;
    border: 1px solid #4e4e4e;
}
.btn-l-o span:nth-of-type(1) {
    width: 42px;
    border-right: none;
    -webkit-border-top-left-radius: 4px;
    -webkit-border-bottom-left-radius: 4px;
    -moz-border-radius-topleft: 4px;
    -moz-border-radius-bottomleft: 4px;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}
.btn-l-o span:nth-of-type(2) {
    padding: 0 0.5em;
    -webkit-border-top-right-radius: 4px;
    -webkit-border-bottom-right-radius: 4px;
    -moz-border-radius-topright: 4px;
    -moz-border-radius-bottomright: 4px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.btn-l-o:hover span:nth-of-type(2) {

}
.btn-l-o:hover span:nth-of-type(1) {

}


.btn-o.white {
    cursor: pointer;
    color: #fafafa;
    display: inline-block;
    height: 42px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 42px;
    text-align: center;
    text-decoration: none;
    text-shadow: none;
    white-space: nowrap;
    overflow: hidden;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: 1px solid #fafafa;
}
.btn-o.white span {
    display: inline-block;
    text-align: center;
}
.btn-o.white span:nth-of-type(1) {
    padding: 0 1.25em;
}
.btn-o.white span:nth-of-type(2) {
    width: 42px;
    border-left: 1px solid #fff;
}
.btn-o.white:hover {
    /* color: #2e2e2e;
    background: #fafafa;
    border: 1px solid #2e2e2e; */
}
.btn-o.white:hover span:nth-of-type(2) {
    /* border-left: 1px solid #2e2e2e; */
}



/*
.btn.white {
    background: #fff;
    border: 1px solid #fff;
    color: #ff8a00;
}
.btn.white:hover {
    background: #ff8a00;
    border: 1px solid #fff;
    color: #fff;
}

.btn.grey {
    background: rgba(129,129,129,1);
    border: 1px solid #656565;
    color: #fff;
}
.btn.grey:hover {
    background: rgba(141,141,141,1);
    border: 1px solid #747474;
    color: #fff;
}

.btn-o.dark {
    border: 2px solid #555555;
    color: #555555;
}

.btn-o {
    background: none;
    color: #555555;
    border: 1px solid #d0d0d0;
}
.btn-o:hover {
    color: #457bbe;
    border: 1px solid #457bbe;
}


*/

/* Close Button */
.btn-x, .btn-x:before, .btn-x:after {
    display: block;
    position: relative;
    overflow: hidden;
    text-indent: -9999px;
    width: 25px;
    height: 25px;
    -webkit-border-radius: 1px;
    -moz-border-radius: 1px;
    border-radius: 1px;
}
.btn-x:before, .btn-x:after {
    display: block;
    position: absolute;
    content: '';
    width: 25px;
    height: 1px;
    background: #eaeaea;
}
.btn-x:before {
    transform: translate3d(0, 9px, 0) rotate(-45deg);
}
.btn-x:after {
    transform: translate3d(0, -11px, 0) rotate(45deg);
}

/* Mobile Menu Button */
.btn-hamburger, .btn-hamburger:before, .btn-hamburger:after {
    width: 24px;
    height: 2px;
    background: #fff;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}
.btn-hamburger {
    display: inline-block;
    vertical-align: middle;
    position: relative;
}
.btn-hamburger:before, .btn-hamburger:after {
    display: block;
    position: absolute;
    content: '';
    margin: -8px 0 0;
}
.btn-hamburger:after {
    margin: 8px 0 0;
}

/* 3 Dots Button */
.btn-rots, .btn-rots:before, .btn-rots:after {
    display: inline-block;
    position: relative;
    width:4px;
    height:4px;
    background: #000;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
}
.btn-rots:before, .btn-rots:after {
    display: block;
    position: absolute;
    content: '';
    margin:-7px 0 0;
}
.btn-rots:after {
    margin:7px 0 0;
}

/* Menu Vertical */
.menu-vertical li {
    display: block;
}
.menu-vertical ul li ul {
    position: absolute;
    right: 0;
    display: none;
    z-index: 1000;
}
.menu-vertical ul li:hover > ul, .menu-vertical ul li ul:hover {
    display: block;
}

/* Menu Horizontal */
.menu-horizontal ul li {
    display: block;
    float: left;
    position: relative;
}
.menu-horizontal ul li ul {
    display: none;
    position: absolute;
    left: 0;
    z-index: 1000;
}
.menu-horizontal ul li ul li {
    float: none;
}
.menu-horizontal ul li:hover > ul, .menu-horizontal ul li ul:hover {
    display: block;
}
